## org.exist.xmldb.test
Class IndexingTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xmldb.test.IndexingTest

All Implemented Interfaces:
  junit.framework.Test

public class IndexingTest
extends junit.framework.TestCase

Reproduce the EXistException "the document is too complex/irregularily structured to be mapped into eXist's numbering scheme" raised in `DocumentImpl` . It creates with DOM a simple document having a branch of 16 elements depth connected to the root, with width (arity) of 16 at each level.

Constructor Summary
`IndexingTest(java.lang.String arg0)`

Method Summary
`static void` `main(java.lang.String[] args)`
`void` `testIrregularilyStructured()`
`void` `testIrregularilyStructured(boolean getContentAsDOM)`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IndexingTest

    public IndexingTest(java.lang.String arg0)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws XMLDBException,
                            javax.xml.parsers.ParserConfigurationException,
                            org.xml.sax.SAXException,
                            java.io.IOException,
                            java.lang.ClassNotFoundException,
                            java.lang.IllegalAccessException,
                            java.lang.InstantiationException

  Throws:
    `XMLDBException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
    `java.lang.IllegalAccessException`
    `java.lang.InstantiationException`

### testIrregularilyStructured

    public void testIrregularilyStructured()
                                    throws XMLDBException,
                                           javax.xml.parsers.ParserConfigurationException,
                                           org.xml.sax.SAXException,
                                           java.io.IOException,
                                           java.lang.ClassNotFoundException,
                                           java.lang.InstantiationException,
                                           java.lang.IllegalAccessException

  Throws:
    `XMLDBException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

### testIrregularilyStructured

    public void testIrregularilyStructured(boolean getContentAsDOM)
                                    throws XMLDBException,
                                           javax.xml.parsers.ParserConfigurationException,
                                           org.xml.sax.SAXException,
                                           java.io.IOException,
                                           java.lang.ClassNotFoundException,
                                           java.lang.InstantiationException,
                                           java.lang.IllegalAccessException

  Throws:
    `XMLDBException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

Copyright (C) Wolfgang Meier. All rights reserved.